Permalink
Browse files

Use version 1.8 of ruby for bundle items

10.7 and 10.8 only include ruby 1.8, so all bundle items have been written to work with that. Optionally supporting ruby 1.9 and 2.0 is problematic as these versions are not fully backwards compatible.

#ignore
  • Loading branch information...
1 parent 3ad7bbe commit 12736e8b0ff222b3191ea0a9c1e4a73083919c4b @infininight infininight committed Jul 27, 2013
@@ -7,7 +7,7 @@
<key>bundleUUID</key>
<string>467B298F-6227-11D9-BFB1-000D93589AF6</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
require "#{ENV['TM_SUPPORT_PATH']}/lib/codecompletion"
preference = 'Completions'
choices = []
@@ -7,7 +7,7 @@
<key>bundleUUID</key>
<string>467B298F-6227-11D9-BFB1-000D93589AF6</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
require "#{ENV['TM_SUPPORT_PATH']}/lib/codecompletion"
preference = 'Property Value Completions'
choices = []
@@ -7,7 +7,7 @@
<key>bundleUUID</key>
<string>467B298F-6227-11D9-BFB1-000D93589AF6</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
require "#{ENV['TM_SUPPORT_PATH']}/lib/codecompletion"
TextmateCodeCompletion.plist('Property Completions')
</string>
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
#
# Lookup current word as a CSS property on w3c.org
#
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby -wKu
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -wKu
# encoding: UTF-8
require ENV['TM_SUPPORT_PATH'] + "/lib/ui"
View
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
LIPSUM = "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
print '&lt;html&gt;&lt;head&gt;&lt;meta http-equiv="Refresh" content="0; URL='
print 'http://jigsaw.w3.org/css-validator/validator?warning=1&amp;profile=none&amp;usermedium=all&amp;text='

0 comments on commit 12736e8

Please sign in to comment.